Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class UserGroupCallbackTaskCommand<T>

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<T>

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<T>, Command<T>

Direct Known Subclasses:
  ActivateTaskCommand, AddAttachmentCommand, AddCommentCommand, AddTaskCommand, CancelDeadlineCommand, ClaimNextAvailableTaskCommand, ClaimTaskCommand, CompleteTaskCommand, DelegateTaskCommand, DeleteFaultCommand, DeleteOutputCommand, ExitTaskCommand, FailTaskCommand, ForwardTaskCommand, GetSubTasksCommand, GetTaskAssignedAsBusinessAdminCommand, GetTaskAssignedAsExcludedOwnerCommand, GetTaskAssignedAsInitiatorCommand, GetTaskAssignedAsPotentialOwnerByExpDateCommand, GetTaskAssignedAsPotentialOwnerCommand, GetTaskAssignedAsPotentialOwnerPagingCommand, GetTaskAssignedAsRecipientCommand, GetTaskAssignedAsStakeholderCommand, GetTaskOwnedByExpDateBeforeDateCommand, GetTaskOwnedByExpDateCommand, GetTaskPropertyCommand, GetTasksByVariousFieldsCommand, GetTasksOwnedCommand, NominateTaskCommand, ProcessSubTaskCommand, ReleaseTaskCommand, RemoveTaskCommand, ResumeTaskCommand, SetTaskPropertyCommand, SkipTaskCommand, StartTaskCommand, StopTaskCommand, SuspendTaskCommand, TaskQueryDataCommand

    public class UserGroupCallbackTaskCommand<T>

extends TaskCommand<T>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`UserGroupCallbackTaskCommand()`

Method Summary
`protected void` | `addGroupFromCallbackOperation(String groupId, org.kie.internal.task.api.TaskContext context)`
`protected void` | `addUserFromCallbackOperation(String userId, org.kie.internal.task.api.TaskContext context)`
`protected boolean` | `doCallbackGroupOperation(String groupId, org.kie.internal.task.api.TaskContext context)`
`protected List<String>` | `doCallbackGroupsOperation(String userId, List<String> groupIds, org.kie.internal.task.api.TaskContext context)`
`protected void` | `doCallbackOperationForAttachment(Attachment attachment, org.kie.internal.task.api.TaskContext context)`
`protected void` | `doCallbackOperationForComment(Comment comment, org.kie.internal.task.api.TaskContext context)`
`protected void` | `doCallbackOperationForPeopleAssignments(org.kie.internal.task.api.model.InternalPeopleAssignments assignments, org.kie.internal.task.api.TaskContext context)`
`protected void` | `doCallbackOperationForPotentialOwners(List<OrganizationalEntity> potentialOwners, org.kie.internal.task.api.TaskContext context)`
`protected void` | `doCallbackOperationForTaskData(org.kie.internal.task.api.model.InternalTaskData data, org.kie.internal.task.api.TaskContext context)`
`protected void` | `doCallbackOperationForTaskDeadlines(org.kie.internal.task.api.model.Deadlines deadlines, org.kie.internal.task.api.TaskContext context)`
`protected boolean` | `doCallbackUserOperation(String userId, org.kie.internal.task.api.TaskContext context)`
`protected List<String>` | `doUserGroupCallbackOperation(String userId, List<String> groupIds, org.kie.internal.task.api.TaskContext context)`
`T` | `execute(org.kie.internal.command.Context context)`
`protected List<String>` | `filterGroups(List<String> groups)`
`protected void` | `persistIfNotExists(OrganizationalEntity entity, org.kie.internal.task.api.TaskContext context)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupCallbackTaskCommand

    public UserGroupCallbackTaskCommand()

Method Detail

### doUserGroupCallbackOperation

    protected List<String> doUserGroupCallbackOperation(String userId,
                                                        List<String> groupIds,
                                                        org.kie.internal.task.api.TaskContext context)

### doCallbackUserOperation

    protected boolean doCallbackUserOperation(String userId,
                                              org.kie.internal.task.api.TaskContext context)

### doCallbackGroupOperation

    protected boolean doCallbackGroupOperation(String groupId,
                                               org.kie.internal.task.api.TaskContext context)

### addUserFromCallbackOperation

    protected void addUserFromCallbackOperation(String userId,
                                                org.kie.internal.task.api.TaskContext context)

### persistIfNotExists

    protected void persistIfNotExists(OrganizationalEntity entity,
                                      org.kie.internal.task.api.TaskContext context)

### doCallbackGroupsOperation

    protected List<String> doCallbackGroupsOperation(String userId,
                                                     List<String> groupIds,
                                                     org.kie.internal.task.api.TaskContext context)

### addGroupFromCallbackOperation

    protected void addGroupFromCallbackOperation(String groupId,
                                                 org.kie.internal.task.api.TaskContext context)

### doCallbackOperationForTaskData

    protected void doCallbackOperationForTaskData(org.kie.internal.task.api.model.InternalTaskData data,
                                                  org.kie.internal.task.api.TaskContext context)

### doCallbackOperationForPotentialOwners

    protected void doCallbackOperationForPotentialOwners(List<OrganizationalEntity> potentialOwners,
                                                         org.kie.internal.task.api.TaskContext context)

### doCallbackOperationForPeopleAssignments

    protected void doCallbackOperationForPeopleAssignments(org.kie.internal.task.api.model.InternalPeopleAssignments assignments,
                                                           org.kie.internal.task.api.TaskContext context)

### doCallbackOperationForTaskDeadlines

    protected void doCallbackOperationForTaskDeadlines(org.kie.internal.task.api.model.Deadlines deadlines,
                                                       org.kie.internal.task.api.TaskContext context)

### doCallbackOperationForComment

    protected void doCallbackOperationForComment(Comment comment,
                                                 org.kie.internal.task.api.TaskContext context)

### doCallbackOperationForAttachment

    protected void doCallbackOperationForAttachment(Attachment attachment,
                                                    org.kie.internal.task.api.TaskContext context)

### filterGroups

    protected List<String> filterGroups(List<String> groups)

### execute

    public T execute(org.kie.internal.command.Context context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.